%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package ruby-selinux}

%global libselinux_version 2.0.94

Name:           %{?scl_prefix}ruby-selinux
Version:        %{libselinux_version}
Release:        3%{?dist}
Summary:        An external build of the ruby SWIG bindings for libselinux.

License:        Public Domain
Group:          System Environment/Libraries
URL:            https://github.com/rmillner/ruby-selinux
Source0:        ruby-selinux-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}ruby
BuildRequires:  %{?scl_prefix}ruby-devel
BuildRequires:  swig
BuildRequires:  libselinux-devel = %{libselinux_version}

Requires:       %{?scl_prefix}ruby
Requires:       libselinux = %{libselinux_version}

Provides:       %{?scl_prefix}ruby(selinux) = %{version}
Obsoletes:      %{?scl_prefix}ruby(selinux) < %{version}

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
An external build of the ruby SWIG bindings for libselinux.


%prep
%setup -q -n ruby-selinux-%{version}


%build
make clean

%{?scl:scl enable %scl "}
make RUBYINSTALL='%{ruby_sitearch}' CFLAGS='-g %{optflags}' %{?_smp_mflags} rubywrap
%{?scl:"}


%install
rm -rf $RPM_BUILD_ROOT
%{?scl:scl enable %scl "}
make DESTDIR=%{buildroot} RUBYINSTALL=%{buildroot}%{ruby_vendorarchdir} install-rubywrap
%{?scl:"}


%clean
rm -rf %{buildroot}


%files
%doc README.md
%doc LICENSE
%doc LICENSE.libselinux VERSION.libselinux ChangeLog.libselinux 
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/selinux.so



%changelog
* Thu Apr 04 2013 Rob Millner <rmillner@redhat.com> 2.0.94-3
- Setup macro also needed name update. (rmillner@redhat.com)

* Thu Apr 04 2013 Rob Millner <rmillner@redhat.com> 2.0.94-2
- The package version is linked to the libselinux version.  Update the release
  tag instead. (rmillner@redhat.com)
- SCL will change package name, use a consistent name for the source.
  (rmillner@redhat.com)

* Thu Apr 04 2013 Rob Millner <rmillner@redhat.com> 2.0.94-1
- RPM build and use libselinux version 2.0.94 (20100525).
- new package built with tito


